<html>
<head>
<title>OGRE: Ogre::ZipDataStream Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ZipDataStream.html">ZipDataStream</a></div>
<h1>Ogre::ZipDataStream Class Reference</h1><!-- doxytag: class="Ogre::ZipDataStream" --><!-- doxytag: inherits="Ogre::DataStream" -->Specialisation of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> to handle streaming data from zip archives.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ZipDataStream:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ZipDataStream-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#469d266bf656ebc0bbc63f006a001844">ZipDataStream</a> (<a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *zzipFile, size_t uncompressedSize)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unnamed constructor.  <a href="#469d266bf656ebc0bbc63f006a001844"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a59e9bbc5a05c5560191e721cace8f09">ZipDataStream</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *zzipFile, size_t uncompressedSize)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor for creating named streams.  <a href="#a59e9bbc5a05c5560191e721cace8f09"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#9b6696452d39c4e8f68fb24ca2986da8">~ZipDataStream</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#4f083e5e4f9f19cb11b344da0ae2e139">read</a> (void *buf, size_t count)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Read the requisite number of bytes from the stream, stopping at the end of the file. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>buf</em>&nbsp;</td><td>Reference to a buffer pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>count</em>&nbsp;</td><td>Number of bytes to read </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The number of bytes read </dd></dl>
  <a href="#4f083e5e4f9f19cb11b344da0ae2e139"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#d57ff5dca038c2adf82088dd101d966c">skip</a> (long count)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Skip a defined number of bytes. <p>
This can also be a negative value, in which case the file pointer rewinds a defined number of bytes.   <a href="#d57ff5dca038c2adf82088dd101d966c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#9fbbfdb5e1485a4879ba52e3cffc3807">seek</a> (size_t pos)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Repositions the read point to a specified byte.   <a href="#9fbbfdb5e1485a4879ba52e3cffc3807"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#53e6893b5e92d261ad4be0f526888f38">tell</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Repositions the read point to a specified byte.   <a href="#53e6893b5e92d261ad4be0f526888f38"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#36245b12aaada8ee44abe53b418cc99c">eof</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the stream has reached the end.   <a href="#36245b12aaada8ee44abe53b418cc99c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#1b72ff9f0c0ffccbfc3d0afbab34bba6">close</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Close the stream; this makes further operations invalid.   <a href="#1b72ff9f0c0ffccbfc3d0afbab34bba6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#7ebd86825f86b7114024d168e9751395">getName</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the name of the stream, if it has one.  <a href="#7ebd86825f86b7114024d168e9751395"></a><br></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename T&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a> &amp;&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#05072afd475d6875eedd5fc81a73123a">operator&gt;&gt;</a> (T &amp;val)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#edc53a8cff5334563283a4557d423b25">readLine</a> (char *buf, size_t maxCount, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a single line from the stream.  <a href="#edc53a8cff5334563283a4557d423b25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#86d2ff5dff63ce4b689dd1d486d3243f">getLine</a> (bool trimAfter=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a String containing the next line of data, optionally trimmed for whitespace.  <a href="#86d2ff5dff63ce4b689dd1d486d3243f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#022f49c9313deffc5da4383d59d1f32d">getAsString</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a String containing the entire stream.  <a href="#022f49c9313deffc5da4383d59d1f32d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#32966ad5a814f8c72fe0affbefcc6f55">skipLine</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Skip a single line from the stream.  <a href="#32966ad5a814f8c72fe0affbefcc6f55"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#1d4e9568e53a8071ea9b29a015425aef">size</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream.  <a href="#1d4e9568e53a8071ea9b29a015425aef"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#0114a4510ef5b5f5fc2e4767265c54e1">mZzipFile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#371660702e913ca2799f0478a2154af7">mName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name (e.g. resource name) that can be used to identify the source fot his data (optional).  <a href="#371660702e913ca2799f0478a2154af7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#260d2aa9971abc5b8412cff1a01d6382">mSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Size of the data in the stream (may be 0 if size cannot be determined).  <a href="#260d2aa9971abc5b8412cff1a01d6382"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialisation of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> to handle streaming data from zip archives. 
<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00107">107</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="469d266bf656ebc0bbc63f006a001844"></a><!-- doxytag: member="Ogre::ZipDataStream::ZipDataStream" ref="469d266bf656ebc0bbc63f006a001844" args="(ZZIP_FILE *zzipFile, size_t uncompressedSize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ZipDataStream::ZipDataStream           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *&nbsp;</td>
          <td class="paramname"> <em>zzipFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uncompressedSize</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unnamed constructor. 
<p>

</div>
</div><p>
<a class="anchor" name="a59e9bbc5a05c5560191e721cace8f09"></a><!-- doxytag: member="Ogre::ZipDataStream::ZipDataStream" ref="a59e9bbc5a05c5560191e721cace8f09" args="(const String &amp;name, ZZIP_FILE *zzipFile, size_t uncompressedSize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ZipDataStream::ZipDataStream           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *&nbsp;</td>
          <td class="paramname"> <em>zzipFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uncompressedSize</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor for creating named streams. 
<p>

</div>
</div><p>
<a class="anchor" name="9b6696452d39c4e8f68fb24ca2986da8"></a><!-- doxytag: member="Ogre::ZipDataStream::~ZipDataStream" ref="9b6696452d39c4e8f68fb24ca2986da8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ZipDataStream::~ZipDataStream           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4f083e5e4f9f19cb11b344da0ae2e139"></a><!-- doxytag: member="Ogre::ZipDataStream::read" ref="4f083e5e4f9f19cb11b344da0ae2e139" args="(void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::ZipDataStream::read           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Read the requisite number of bytes from the stream, stopping at the end of the file. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>buf</em>&nbsp;</td><td>Reference to a buffer pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>count</em>&nbsp;</td><td>Number of bytes to read </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The number of bytes read </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1DataStream.html#ebedb14c79369be5b8750d834b128b9b">Ogre::DataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="d57ff5dca038c2adf82088dd101d966c"></a><!-- doxytag: member="Ogre::ZipDataStream::skip" ref="d57ff5dca038c2adf82088dd101d966c" args="(long count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipDataStream::skip           </td>
          <td>(</td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>count</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Skip a defined number of bytes. <p>
This can also be a negative value, in which case the file pointer rewinds a defined number of bytes.  
<p>

<p>Implements <a class="el" href="classOgre_1_1DataStream.html#776630c409195fdf118a6737571d3d07">Ogre::DataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="9fbbfdb5e1485a4879ba52e3cffc3807"></a><!-- doxytag: member="Ogre::ZipDataStream::seek" ref="9fbbfdb5e1485a4879ba52e3cffc3807" args="(size_t pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipDataStream::seek           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>pos</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Repositions the read point to a specified byte.  
<p>

<p>Implements <a class="el" href="classOgre_1_1DataStream.html#dc4002e013c279625553ccc3f50ddae1">Ogre::DataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="53e6893b5e92d261ad4be0f526888f38"></a><!-- doxytag: member="Ogre::ZipDataStream::tell" ref="53e6893b5e92d261ad4be0f526888f38" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::ZipDataStream::tell           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Repositions the read point to a specified byte.  
<p>

<p>Implements <a class="el" href="classOgre_1_1DataStream.html#2d9100f4e9167116fe280a7e7a1b6219">Ogre::DataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="36245b12aaada8ee44abe53b418cc99c"></a><!-- doxytag: member="Ogre::ZipDataStream::eof" ref="36245b12aaada8ee44abe53b418cc99c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ZipDataStream::eof           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the stream has reached the end.  
<p>

<p>Implements <a class="el" href="classOgre_1_1DataStream.html#81d740638618913333324663b2edb519">Ogre::DataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="1b72ff9f0c0ffccbfc3d0afbab34bba6"></a><!-- doxytag: member="Ogre::ZipDataStream::close" ref="1b72ff9f0c0ffccbfc3d0afbab34bba6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipDataStream::close           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Close the stream; this makes further operations invalid.  
<p>

<p>Implements <a class="el" href="classOgre_1_1DataStream.html#ce95bf415101e195a0c79838fdcb7e7d">Ogre::DataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ebd86825f86b7114024d168e9751395"></a><!-- doxytag: member="Ogre::ZipDataStream::getName" ref="7ebd86825f86b7114024d168e9751395" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::DataStream::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the name of the stream, if it has one. 
<p>

<p>Definition at line <a class="el" href="OgreDataStream_8h-source.html#l00072">72</a> of file <a class="el" href="OgreDataStream_8h-source.html">OgreDataStream.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="05072afd475d6875eedd5fc81a73123a"></a><!-- doxytag: member="Ogre::ZipDataStream::operator&gt;&gt;" ref="05072afd475d6875eedd5fc81a73123a" args="(T &amp;val)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a>&amp; Ogre::DataStream::operator&gt;&gt;           </td>
          <td>(</td>
          <td class="paramtype">T &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="edc53a8cff5334563283a4557d423b25"></a><!-- doxytag: member="Ogre::ZipDataStream::readLine" ref="edc53a8cff5334563283a4557d423b25" args="(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::DataStream::readLine           </td>
          <td>(</td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>maxCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>delim</em> = <code>&quot;\n&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a single line from the stream. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The delimiter character is not included in the data returned, and it is skipped over so the next read will occur after it. The buffer contents will include a terminating character. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>buf</em>&nbsp;</td><td>Reference to a buffer pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>maxCount</em>&nbsp;</td><td>The maximum length of data to be read, excluding the terminating character </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>delim</em>&nbsp;</td><td>The delimiter to stop at </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The number of bytes read, excluding the terminating character </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1MemoryDataStream.html#398aa1ba9f58276dc868d2c3968953c4">Ogre::MemoryDataStream</a>, and <a class="el" href="classOgre_1_1FileStreamDataStream.html#f09667bef9ac4b514602baca8d08f007">Ogre::FileStreamDataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="86d2ff5dff63ce4b689dd1d486d3243f"></a><!-- doxytag: member="Ogre::ZipDataStream::getLine" ref="86d2ff5dff63ce4b689dd1d486d3243f" args="(bool trimAfter=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::DataStream::getLine           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>trimAfter</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a String containing the next line of data, optionally trimmed for whitespace. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing the next line of data. The data is read up to the next newline character and the result trimmed if required. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>trimAfter</em>&nbsp;</td><td>If true, the line is trimmed for whitespace (as in String.trim(true,true)) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="022f49c9313deffc5da4383d59d1f32d"></a><!-- doxytag: member="Ogre::ZipDataStream::getAsString" ref="022f49c9313deffc5da4383d59d1f32d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::DataStream::getAsString           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a String containing the entire stream. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing all the data in the stream. </dd></dl>

</div>
</div><p>
<a class="anchor" name="32966ad5a814f8c72fe0affbefcc6f55"></a><!-- doxytag: member="Ogre::ZipDataStream::skipLine" ref="32966ad5a814f8c72fe0affbefcc6f55" args="(const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::DataStream::skipLine           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>delim</em> = <code>&quot;\n&quot;</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Skip a single line from the stream. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>delim</em>&nbsp;</td><td>The delimiter(s) to stop at </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The number of bytes skipped </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1MemoryDataStream.html#581ccd32944288808f7602b29a0218e9">Ogre::MemoryDataStream</a>.</p>

</div>
</div><p>
<a class="anchor" name="1d4e9568e53a8071ea9b29a015425aef"></a><!-- doxytag: member="Ogre::ZipDataStream::size" ref="1d4e9568e53a8071ea9b29a015425aef" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::DataStream::size           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream. 
<p>

<p>Definition at line <a class="el" href="OgreDataStream_8h-source.html#l00149">149</a> of file <a class="el" href="OgreDataStream_8h-source.html">OgreDataStream.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="0114a4510ef5b5f5fc2e4767265c54e1"></a><!-- doxytag: member="Ogre::ZipDataStream::mZzipFile" ref="0114a4510ef5b5f5fc2e4767265c54e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a>* <a class="el" href="classOgre_1_1ZipDataStream.html#0114a4510ef5b5f5fc2e4767265c54e1">Ogre::ZipDataStream::mZzipFile</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00110">110</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="371660702e913ca2799f0478a2154af7"></a><!-- doxytag: member="Ogre::ZipDataStream::mName" ref="371660702e913ca2799f0478a2154af7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#371660702e913ca2799f0478a2154af7">Ogre::DataStream::mName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name (e.g. resource name) that can be used to identify the source fot his data (optional). 
<p>

<p>Definition at line <a class="el" href="OgreDataStream_8h-source.html#l00062">62</a> of file <a class="el" href="OgreDataStream_8h-source.html">OgreDataStream.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="260d2aa9971abc5b8412cff1a01d6382"></a><!-- doxytag: member="Ogre::ZipDataStream::mSize" ref="260d2aa9971abc5b8412cff1a01d6382" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#260d2aa9971abc5b8412cff1a01d6382">Ogre::DataStream::mSize</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Size of the data in the stream (may be 0 if size cannot be determined). 
<p>

<p>Definition at line <a class="el" href="OgreDataStream_8h-source.html#l00064">64</a> of file <a class="el" href="OgreDataStream_8h-source.html">OgreDataStream.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreZip_8h-source.html">OgreZip.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:21 2008
</p>
</body>
</html>
